<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.VersionUpgradeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="versionUpgradeResultMap" type="org.springblade.modules.platform.entity.VersionUpgrade">
        <id column="id" property="id"/>
        <result column="version_mini" property="versionMini"/>
        <result column="type" property="type"/>
        <result column="content" property="content"/>
        <result column="apk_url" property="apkUrl"/>
        <result column="version_code" property="versionCode"/>
        <result column="apk_size" property="apkSize"/>
        <result column="status" property="status"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>


    <select id="selectVersionUpgradePage" resultMap="versionUpgradeResultMap">
        select * from t_version_upgrade where is_deleted = 0
    </select>

</mapper>
